Android如何使用浮动操作按钮API 19?

内容来源于 Stack Overflow,并遵循CC BY-SA 3.0许可协议进行翻译与使用

  • 回答 (2)
  • 关注 (0)
  • 查看 (9)

我需要实现一个浮动操作按钮,在我的android应用程序中使用API​​级别19。

但是,我会知道是否有一些本机支持库来帮助我构建此组件,而不需要外部依赖关系。

提问于
用户回答回答于

该库可以在Gradle中使用,在build.gradle中添加以下行:

dependencies {
    ...
    compile 'com.android.support:design:25.3.1'
}

这是一个简单的用法示例:

<android.support.design.widget.FloatingActionButton
      android:id="@+id/fab"
      android:layout_width="wrap_content"
      android:layout_height="wrap_content"
      android:src="@drawable/ic_add"
      android:layout_gravity="bottom|end" />
用户回答回答于

我会知道是否有一些本地支持库(如v4,v7,v13)帮助我构建此组件,而不需要外部依赖关系。

不,没有任何支持库浮动操作按钮(FAB)。恕我直言,这是一个可怕的决定,不包括所有与材料相关的小部件在支持库中。Google并没有创建一套由数百万开发人员使用的材料小部件,而是希望数百万开发人员创建数百万个这些小部件的不同实现。 </rant>

扫码关注云+社区